Page MenuHomePhabricator

Deployment of Gerrit Delays panel for engineering
Closed, ResolvedPublic

Event Timeline

Aklapper triaged this task as Medium priority.Aug 8 2016, 11:57 AM
Aklapper closed this task as Resolved.Aug 30 2016, 9:16 AM

This is now available as a panel on https://wikimedia.biterg.io

Qgil added a comment.Aug 31 2016, 9:10 AM

Loading the page takes a while, but ok. It is about delays after all. ;)

There are metric about MERGED and ABANDONED changesets there. I would expect to see only metrics about open changesets in this tab?

Loading the page takes a while, but ok. It is about delays after all. ;)
There are metric about MERGED and ABANDONED changesets there. I would expect to see only metrics about open changesets in this tab?

Good point. Let's see what @Dicortazar has to say :)

There are metric about MERGED and ABANDONED changesets there. I would expect to see only metrics about open changesets in this tab?

Still the case as of today hence I created T151215 as a followup task.

The thing about this panel is to measure the amount of time need for a ticket to reach its final state. Having only open changesets makes sense when you are having a look at the Backlog. In any case @Dicortazar may have comments about this.

BTW, this panel shouldn't be that slow. Is by far the slowest I've seen for our product :-/